## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 20
%bcond_without check
%global debug_package %{nil}

%global crate io-lifetimes

Name:           rust-%{crate}
Version:        0.4.4
Release:        %autorelease
Summary:        Low-level I/O ownership and borrowing library

# Upstream license specification: Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
License:        ASL 2.0 or MIT
URL:            https://crates.io/crates/io-lifetimes
Source:         %{crates_source}
# Initial patched metadata
# * drop windows-specific dependencies
Patch0:         io-lifetimes-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging

%global _description %{expand:
Low-level I/O ownership and borrowing library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license COPYRIGHT LICENSE-APACHE LICENSE-Apache-2.0_WITH_LLVM-exception LICENSE-MIT
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+async-std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+async-std-devel %{_description}

This package contains library source intended for building other packages which
use the "async-std" feature of the "%{crate}" crate.

%files       -n %{name}+async-std-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+close-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+close-devel %{_description}

This package contains library source intended for building other packages which
use the "close" feature of the "%{crate}" crate.

%files       -n %{name}+close-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+fs-err-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+fs-err-devel %{_description}

This package contains library source intended for building other packages which
use the "fs-err" feature of the "%{crate}" crate.

%files       -n %{name}+fs-err-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+libc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libc-devel %{_description}

This package contains library source intended for building other packages which
use the "libc" feature of the "%{crate}" crate.

%files       -n %{name}+libc-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+mio-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+mio-devel %{_description}

This package contains library source intended for building other packages which
use the "mio" feature of the "%{crate}" crate.

%files       -n %{name}+mio-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+os_pipe-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+os_pipe-devel %{_description}

This package contains library source intended for building other packages which
use the "os_pipe" feature of the "%{crate}" crate.

%files       -n %{name}+os_pipe-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+socket2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+socket2-devel %{_description}

This package contains library source intended for building other packages which
use the "socket2" feature of the "%{crate}" crate.

%files       -n %{name}+socket2-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+tokio-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-devel %{_description}

This package contains library source intended for building other packages which
use the "tokio" feature of the "%{crate}" crate.

%files       -n %{name}+tokio-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Feb 04 2022 Fabio Valentini <decathorpe@gmail.com> 0.4.4-1
- Update to version 0.4.4

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Nov 29 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.4.3-2
- Downgrade "mio" and "os_pipe", to fix installation issues

* Sun Nov 28 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.4.3-1
- Update to upstream 0.4.3 (fixes rhbz#2019950)

* Wed Sep 22 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.3.1-1
- Update to upstream 0.3.1 (rhbz#1991767)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 25 17:23:36 CEST 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.2.0-1
- Initial package

